## duplicity-0.8.20.dev38.tar.gz

=== Makefile ===
.PHONY: clean docs

clean:
	for i in '.tox' 'build' 'work' 'megatestresults' '.eggs' '*.egg-info' '__pycache__'; do \
		find . -type d -name "$$i" | xargs -t -r rm -rf ; \
	done

	for i in '*.pyc' '*.pyo' '*~' '*.o' '*.so' '*.dll' '*.pyd' '*.gcov' '*.gcda' '*.gcno' '*.orig' '*.tmp' 'testdb*' 'testextension.sqlext' ; do \
		find . -type f -name "$$i" | xargs -t -r rm -f ; \
	done

docs:
	sphinx-apidoc -o docs/ -e -f .

=== requirements.txt ===
##### basic requirements #####

fasteners
future
python-gettext
setuptools>=44.1.1
setuptools-scm>=5.0.2


##### testing libraries #####


coverage
mock>=3.0.5
pycodestyle
pydevd                  ; python_version >= '3.6'
pylint
pytest
pytest-cov
pytest-runner           ; python_version >= '3.6'
sphinx
tox


##### backend libraries #####


azure-storage-blob      ; python_version >= '3.6'
b2sdk                   ; python_version >= '3.6'
boto
boto3
boxsdk[jwt]             ; python_version >= '3.6'
dropbox
gdata                   ; python_version == '2.7'
gdata-python3           ; python_version >= '3.6'
google-api-python-client
google-auth-oauthlib
jottalib
keyring
mediafire
megatools               ; python_version >= '3.6'
paramiko
pexpect
psutil
pydrive                 ; python_version >= '3.6'
pyrax                   ; python_version >= '3.6'
python-swiftclient
requests
requests-oauthlib

=== debian/control ===
Source: duplicity
Section: utils
Priority: optional
Maintainer: Duplicity Team <duplicity-team@lists.launchpad.net>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3 (>= 3.5),
               gnupg,
               librsync-dev (>= 0.9.6),
               par2,
               pep8,
               pylint,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-runner,
               python3-dev,
               python3-fasteners,
               python3-future,
               python3-mock,
               python3-pexpect,
               python3-setuptools,
               python3-setuptools-scm,
               rdiff,
               rename,
               rsync,
Homepage: https://launchpad.net/duplicity
Standards-Version: 3.9.5
X-Python-Version: 2.7
X-Python3-Version: >= 3.5

Package: duplicity
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         gnupg,
         lftp,
         python3-fasteners,
         python3-future,
         python3-pexpect,
Suggests: ncftp,
          python3-boto,
          python3-paramiko,
          python3-kerberos,
Description: encrypted bandwidth-efficient backup
 Duplicity backs directories by producing encrypted tar-format volumes
 and uploading them to a remote or local file server. Because duplicity
 uses librsync, the incremental archives are space efficient and only
 record the parts of files that have changed since the last backup.
 Because duplicity uses GnuPG to encrypt and/or sign these archives, they
 will be safe from spying and/or modification by the server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode:Makefile; indent-tabs-mode:t; tab-width:4; encoding:utf8 -*-

# Old versions of dpkg-parsechangelog don't support -SVersion
UPSTREAM_VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	./setup.py test

override_dh_auto_install:
	dh_auto_install

	# Debian installs docs itself in /usr/share/doc/duplicity/
	rm -r debian/duplicity/usr/share/doc/duplicity-*

	# Modify upstream's version string into the right version
	find debian/duplicity -name "*\$$version*" | xargs rename "s/\\\$$version/$(UPSTREAM_VERSION)/g"
	find debian/duplicity -name "*_version*" | xargs rename "s/_version/$(UPSTREAM_VERSION)/g"
	grep -Rl "\$$version" debian/duplicity | xargs sed -i "s/\$$version/$(UPSTREAM_VERSION)/g"

override_dh_installdocs:
	dh_installdocs README.md README-LOG.md README-REPO.md README-TESTING.md
